darcs-2.12.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.FileHunk

# Documentation

data FileHunk wX wY #

Constructors

FileHunk !FileName !Int [ByteString] [ByteString] |

class IsHunk p where #

Minimal complete definition

isHunk

Methods

isHunk :: p wX wY -> Maybe (FileHunk wX wY) #

Instances

IsHunk Prim # |
Methods isHunk :: Prim wX wY -> Maybe (FileHunk wX wY) #
IsHunk Prim # |
Methods isHunk :: Prim wX wY -> Maybe (FileHunk wX wY) #
IsHunk DummyPatch # |
Methods isHunk :: DummyPatch wX wY -> Maybe (FileHunk wX wY) #
IsHunk (Named p) # |
Methods isHunk :: Named p wX wY -> Maybe (FileHunk wX wY) #
IsHunk prim => IsHunk (RepoPatchV2 prim) # |
Methods isHunk :: RepoPatchV2 prim wX wY -> Maybe (FileHunk wX wY) #
IsHunk p => IsHunk (RebaseChange p) # |
Methods isHunk :: RebaseChange p wX wY -> Maybe (FileHunk wX wY) #
IsHunk (WrappedNamed rt p) # |
Methods isHunk :: WrappedNamed rt p wX wY -> Maybe (FileHunk wX wY) #
IsHunk (PatchInfoAnd rt p) # |
Methods isHunk :: PatchInfoAnd rt p wX wY -> Maybe (FileHunk wX wY) #

showFileHunk :: FileNameFormat -> FileHunk wX wY -> Doc #